Subject: [Gen-art] GEN-ART Review ofdraft-ietf-radext-delegated-prefix-01.txt

From: "Spencer Dawkins" <[email-masked]>
Date: Fri, 2 Jun 2006 05:44:47 -0500

Just for completeness -

Ralph has shown me suggested RFC Editor text that addresses all my Last Call 
review issues. This isn't in the web ballot yet, but when it appears, I'll 
be happy.

The only serious concern I had was on the Length/Prefix Length definitions, 
so I'd say "ready for publication as Proposed Standard".

Thanks,

Spencer

> Hi, Joe and Ralph,
>
> I am the assigned Gen-ART reviewer for this draft. For background on 
> Gen-ART, please see the FAQ at 
> <http://www.alvestrand.no/ietf/gen/art/gen-art-FAQ.html>.
>
> Summary - this draft is almost ready for publication as a Proposed 
> Standard. It is short, and clearly written.
>
> I have four observations - there may be DHCP conventions I don't know 
> about, but this is how things look to me.
>
> - The relationship between "Length" and "Prefix-Length" seems 
> underspecified. If what you are saying is
>
>   Length - the length of the entire attribute, in bytes. At least 4 (to 
> hold Type/Length/Reserved/Prefix-Length for a 0-bit prefix), and no larger 
> than 20 (to hold Type/Length/Reserved/Prefix-Length for a 128-bit prefix)
>
>  Prefix-Length - the length of the prefix being delegated, in bits. At 
> least 0 and no larger than 128 bits (identifying a single IPv6 address).
>
> I'm guessing, and if you are actually saying something else, I don't know 
> what it could be :-)
>
> - Does "Reserved - Always set to zero" ever get validated as zero by a 
> receiver?
>
> - I completely missed the three-line, two-row "table" at the end of 
> Section 3. If you could at least indent it, and maybe even draw ASCII 
> boxes around it, the specification would be much easier to grok.
>
> - It would also be nice to have a pointer to a reference for the 
> definition of "Framed-IPv6-Prefix" in Section 3, but that's extremely 
> minor.
>
> Please look at these comments along with any other Last Call comments you 
> may  receive.
>
> Thanks,
>
> Spencer Dawkins
>
>
> _______________________________________________
> Gen-art mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/gen-art
> 

_______________________________________________
Gen-art mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/gen-art